//Examples/Class_Libraries

package programmingcourse;

// Import AWT classes:
import java.awt.BorderLayout;
import java.awt.Frame;
import java.awt.TextField;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class BorderLayoutDemo extends Frame {
  
  private static final long serialVersionUID = 1L;
  
  public BorderLayoutDemo() {
    
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        dispose();
        System.exit(0);
      }
    });
    
    setSize(500, 300);
    setLayout(new BorderLayout());
    
    try {
      add("North", new TextField("North"));
      add("South", new TextField("South"));
      add("West", new TextField("West"));
      add("East", new TextField("East"));
      add("Center", new TextField("Center"));
    } catch (IllegalArgumentException exception) {
      System.out.println("Wrong parameter: " + exception);
    }
  }
  
  public static void main(String[] arguments) {
    BorderLayoutDemo borderLayoutDemo = new BorderLayoutDemo();
    borderLayoutDemo.setVisible(true);
  }
}