// Examples/Algorithms

package programmingcourse;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import javax.swing.JComponent;

public class BarChart extends JComponent {
  private static final long serialVersionUID = 1L;
  private int chartPositionX;
  private int chartPositionY;
  private int barWidth;
  private Color titleColor;
  Person programmingCourse[] = new Person[6]; // Programming course

  private Color[] colors = {
    Color.red, Color.magenta, Color.green,
    Color.blue, Color.orange, Color.gray
  };

  /**
   * The component constructor
   */
  public BarChart() {
    chartPositionX = 0;
    chartPositionY = 0;
    barWidth = 80;
    programmingCourse[0] = new Person("Karsten", 184); // 184 cm
    programmingCourse[1] = new Person("Anna", 171); // 171 cm
    programmingCourse[2] = new Person("Julia", 172); // 172 cm
    programmingCourse[3] = new Person("Lukas", 186); // 186 cm
    programmingCourse[4] = new Person("Florian", 185); // 185 cm
    programmingCourse[5] = new Person("Robert", 190); // 190 cm
  }

  /**
   * The paint() method is overridden by the base class.
   * This is the method that contains the graph algorithm
   * that draws the diagram.
   */
  public synchronized void paint(Graphics grafik) {
    //Title fint:
    grafik.setFont(new Font("Arial", Font.PLAIN, 12));
    grafik.setColor(titleColor); // Title color
    // Chart title
    grafik.drawString("Size comparison of the members "
        + "of the programming course", 145, 20);
    int height;
    // The algorithm for drawing rectangles:
    for (int index = 0; index < programmingCourse.length; index++) {
      grafik.setColor(colors[index]);
      height = programmingCourse[index].getGroesse();
      // Drawing the rectangles:
      grafik.fillRect(chartPositionX + barWidth * index,
        chartPositionY - height, barWidth, height);
      // Labeling with the name of the members:
      grafik.drawString(programmingCourse[index].getName(),
        chartPositionX + 20 + barWidth * index,
        chartPositionY + 20);
    } // for
  } // paint

  public void setTitleColor(Color titleColor) {
    this.titleColor = titleColor;
  }

  public void setBarWidth(int barWidth) {
    this.barWidth = barWidth;
  }

  public void setChartPositionX(int chartPositionX) {
    this.chartPositionX = chartPositionX;
  }

  public void setChartPositionY(int chartPositionY) {
    this.chartPositionY = chartPositionY;
  }
}