// Examples/Algorithms

package programmingcourse;

import java.awt.AWTEvent;
import java.awt.BorderLayout;
import java.awt.Dimension;
import javax.swing.JFrame;
import javax.swing.JPanel;


public class GraphicsWindow extends JFrame {
  private static final long serialVersionUID = 1L;
  private JPanel drawingArea;
  private BorderLayout layout = new BorderLayout();
  private BarChart barChart = new BarChart();

  // Create the graphics window
  public GraphicsWindow() {
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try {
      init();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  }

  // Components initialization
  private void init() throws Exception  {
    drawingArea = (JPanel) getContentPane();
    drawingArea.setLayout(layout);
    setSize(new Dimension(600, 400));
    setTitle("GraphicsApp");
    barChart.setAlignmentX((float) 0.5);
    barChart.setChartPositionX(55);
    barChart.setChartPositionY(300);
    drawingArea.add(barChart,  BorderLayout.CENTER);
    setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
  }
}