//Examples/Class_Libraries

package programmingcourse;

// Import AWT classes:
import java.awt.Frame;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import java.awt.TextField;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class GridBagLayoutDemo extends Frame {
  private static final long serialVersionUID = 1L;
  GridBagLayout gridBagLayout = new GridBagLayout();
  TextField textField00 = new TextField();
  TextField textField10 = new TextField();
  TextField textField20 = new TextField();
  TextField textField01 = new TextField();
  TextField textField02 = new TextField();
  
  public GridBagLayoutDemo() {
    this.addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        dispose();
        System.exit(0);
      }
    });
    try {
      initialize();
    } catch (Exception e) {
      e.printStackTrace();
    }
  }
  
  private void initialize() throws Exception {
    setSize(500, 200);
    setLayout(gridBagLayout);
    setBackground(java.awt.Color.lightGray);
    textField00.setText("Cell (0|0), Height 1");
    textField10.setText("Cell (1|0), Height 1");
    textField20.setText("Cell (2|0), Height 2");
    textField01.setText("Cell (0|1), Height 1");
    textField02.setText("Cell (0|2), Height 1");
    add(textField00, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0,
      GridBagConstraints.CENTER, GridBagConstraints.NONE,
        new Insets(0, 0, 0, 0), 0, 0));
    add(textField10, new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0,
      GridBagConstraints.CENTER, GridBagConstraints.NONE,
        new Insets(0, 0, 0, 0), 0, 0));
    add(textField20, new GridBagConstraints(2, 0, 1, 2, 0.0, 0.0,
      GridBagConstraints.CENTER, GridBagConstraints.VERTICAL,
        new Insets(0, 0, 0, 0), 0, 0));
    add(textField01, new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0,
      GridBagConstraints.CENTER, GridBagConstraints.NONE,
        new Insets(0, 0, 0, 0), 0, 0));
    add(textField02, new GridBagConstraints(1, 1, 1, 1, 0.0, 0.0,
      GridBagConstraints.CENTER, GridBagConstraints.NONE,
        new Insets(0, 0, 0, 0), 0, 0));
  }
  
  public static void main(String[] arguments) {
    GridBagLayoutDemo gridBayLayoutDemo = new GridBagLayoutDemo();
    gridBayLayoutDemo.setVisible(true);
  }
}