package programmingcourse;

import java.util.logging.Logger;

public class Installationtest {
  private static final Logger logger = Logger
      .getLogger("Installation Test");
  
  private static int ermittleJavaVersion() {
    String javaVersion = System.getProperty("java.version");
    if (javaVersion.startsWith("1.")) {
      javaVersion = javaVersion.substring(2, 3);
    } else {
      int dot = javaVersion.indexOf(".");
      if (dot != -1) {
        javaVersion = javaVersion.substring(0, dot);
      }
    }
    return Integer.parseInt(javaVersion);
  }
  
  public static void main(String[] args) {
    logger.info(
        "The application starts from: " + System.getProperty("user.dir"));
    if (ermittleJavaVersion() < 13)
      logger.info("The installation was NOT successful. The detected Java version is only v"
        + System.getProperty("java.version") + "\nPlease install at least Java 13.");
    else
      logger.info("The installation was successful: The detected Java version is v"
        + System.getProperty("java.version"));
  }
  
}
