//Examples/Class_Libraries

package programmingcourse;

//Import AWT classes:
import java.awt.BorderLayout;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.UIManager;

public class LookAndFeelDemo extends JFrame {
  private static final long serialVersionUID = 1L;
  JPanel panel = new JPanel();
  JTextField textField1 = new JTextField();
  JTextField textField2 = new JTextField();
  JTextField textField3 = new JTextField();
  JTextField textField4 = new JTextField();
  JTextField textField5 = new JTextField();
  GridBagLayout gridBagLayout = new GridBagLayout();
  
  public LookAndFeelDemo() {
    try {
      init();
    } catch (Exception fehler) {
      fehler.printStackTrace();
    }
  }
  
  private void init() throws Exception {
    setSize(200, 150);
    this.setBackground(java.awt.Color.lightGray);
    textField1.setText("Text 1");
    textField2.setText("Text 2");
    textField3.setText("Text 3");
    textField4.setText("Text 4");
    textField5.setText("Text 5");
    panel.setLayout(gridBagLayout);
    getContentPane().add(panel, BorderLayout.CENTER);
    panel.add(textField1, new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0,
      GridBagConstraints.CENTER, GridBagConstraints.NONE,
        new Insets(0, 0, 0, 0), 0, 0));
    panel.add(textField2, new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0,
      GridBagConstraints.CENTER, GridBagConstraints.NONE,
        new Insets(0, 0, 0, 0), 0, 0));
    panel.add(textField3, new GridBagConstraints(2, 0, 1, 2, 0.0, 0.0,
      GridBagConstraints.CENTER, GridBagConstraints.VERTICAL,
        new Insets(0, 0, 0, 0), 0, 0));
    panel.add(textField4, new GridBagConstraints(0, 1, 1, 1, 0.0, 0.0,
      GridBagConstraints.CENTER, GridBagConstraints.NONE,
        new Insets(0, 0, 0, 0), 0, 0));
    panel.add(textField5, new GridBagConstraints(1, 1, 1, 1, 0.0, 0.0,
      GridBagConstraints.CENTER, GridBagConstraints.NONE,
        new Insets(0, 0, 0, 0), 0, 0));
  }
  
  public static void main(String[] arguments) {
    try {
      // 1. Systemunabhaengig: Natives Look + Feel
      UIManager
          .setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
      // 2. Windows look + feel
      //UIManager.setLookAndFeel(
      //    "com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
      // 3. Metal look + feel
      //UIManager
      //    .setLookAndFeel("javax.swing.plaf.metal.MetalLookAndFeel");
      // 4. Motif look + feel
      //UIManager.setLookAndFeel(
      //    "com.sun.java.swing.plaf.motif.MotifLookAndFeel");
    } catch (Exception e) {
      e.printStackTrace();
    }
    LookAndFeelDemo fenster = new LookAndFeelDemo();
    fenster.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    fenster.setLocationRelativeTo(null); // Center the window
    fenster.setVisible(true);
  }
  
}